package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysRealtimeNews;

public interface SysRealtimeNewsMapper
{
    public SysRealtimeNews selectSysRealtimeNewsById(Long id);

    public List<SysRealtimeNews> selectSysRealtimeNewsList(SysRealtimeNews sysRealtimeNews);

    public int insertSysRealtimeNews(SysRealtimeNews sysRealtimeNews);

    public int updateSysRealtimeNews(SysRealtimeNews sysRealtimeNews);

    public int deleteSysRealtimeNewsById(Long id);

    public int deleteSysRealtimeNewsByIds(Long[] ids);

    public int updateTopStatus(Long id, String isTop);
}
